# -*- coding: utf-8 -*-
"""FZ_Happiness_source.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1LLN18XIBs2JSS0xMVdO8GIW3SLQ6tZxx
""





"""
import numpy as np
import pandas as pd
import psycopg2


def formatted_zone_happiness():
    df1 = pd.read_csv(r'C:\Users\snadal\PycharmProjects\ADSDB\landing\temporal\DataWHR2021C2.csv', delimiter=';')
    df1.head()
    df1.rename(columns={'Country name': 'Country Name', 'year': 'Year', 'Generosity': 'generosity'}, inplace=True)
    df1.head()
    df1 = df1.apply(lambda x: x.astype(str), axis=1)
    df1 = df1.applymap(lambda x: x.replace(',', '.'))
    country = df1['Country Name']
    df1 = df1.drop(columns=['Country Name'])
    df1 = df1.apply(lambda x: pd.to_numeric(x, errors='coerce'), axis=1)
    df1 = df1.applymap(lambda x: round(x, 2))
    df1['Year'] = df1['Year'].astype(int)
    df1['Country Name'] = country

    conn = psycopg2.connect(
        host="localhost",
        database="postgres",
        user="postgres",
        password="ADSDB")

    df1 = df1.replace(np.nan, 10000000)
    tpls = [tuple(x) for x in df1.to_numpy()]
    cols = '" ,"'.join(list(df1.columns))
    cols = '"' + cols + '"'
    query = "INSERT INTO {0}({1}) VALUES("
    for i in range(df1.shape[1] - 1):
        query = query + '%s, '
    query = query + '%s)'
    query = query.format("public.happiness_report_source20220103", cols)
    cursor = conn.cursor()
    cursor.executemany(query, tpls)
    print("Happiness inserted")
    conn.commit()

